Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.endpoint
Class UpfrontConduitSelector

    java.lang.Object
      org.apache.cxf.endpoint.AbstractConduitSelector
          org.apache.cxf.endpoint.UpfrontConduitSelector

All Implemented Interfaces:
  ConduitSelector

    public class UpfrontConduitSelector

extends AbstractConduitSelector

Strategy for eager upfront retreival of a Conduit to mediate an outbound message.

Field Summary

Fields inherited from class org.apache.cxf.endpoint.AbstractConduitSelector
`endpoint, selectedConduit`

Constructor Summary
`UpfrontConduitSelector()` Normal constructor.
`UpfrontConduitSelector(Conduit c)` Constructor, allowing a specific conduit to override normal selection.

Method Summary
`protected java.util.logging.Logger` | `getLogger()`
`void` | `prepare(Message message)` Called prior to the interceptor chain being traversed.
`Conduit` | `selectConduit(Message message)` Called when a Conduit is actually required.

Methods inherited from class org.apache.cxf.endpoint.AbstractConduitSelector
`complete, getEndpoint, getSelectedConduit, setEndpoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpfrontConduitSelector

    public UpfrontConduitSelector()

  Normal constructor.

### UpfrontConduitSelector

    public UpfrontConduitSelector(Conduit c)

  Constructor, allowing a specific conduit to override normal selection.

  Parameters:
    `c` - specific conduit

Method Detail

### prepare

    public void prepare(Message message)

  Called prior to the interceptor chain being traversed.

  Parameters:
    `message` - the current Message

### selectConduit

    public Conduit selectConduit(Message message)

  Called when a Conduit is actually required.

  Parameters:
    `message` -
  Returns:
    the Conduit to use for mediation of the message

### getLogger

    protected java.util.logging.Logger getLogger()

  Specified by:
    `getLogger` in class `AbstractConduitSelector`
  Returns:
    the logger to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF